/* 
--- 01 TYPOGRAPHY SYSTEM

- FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- FONT WEIGHTS: 
DEFAULT: 400
MEDIUM: 500
SEMI-BOLD: 600
BOLD: 700

- LINE HEIGHTS:
DEFAULT: 1
SMALL: 1.05
MEDIUM: 1.2
PAREGRAPH DEFAULT: 1.6
LARGE: 1.8

- LETTER SPACING
-0.5px
0.75px

--- 02 COLORS

- PRIMARY: 
#e67e22
- TINTS: 
#fdf2e9 
#fae5d3 
#eb984e
- SHADES: 
#cf711f 
#45260a
- ACCENTS:
- GREYS:
#888 
#767676 (lightestgrey aloowed on #fff)
#6f6f6f (lightestgrey aloowed on #fdf2e9)
#555 
#333

--- 05 SHADOWS
0 2.4rem 4.8rem rgba(0, 0, 0, 0.075)

--- 06 BORDER RADIUS
DEFAULT: 9px
MEDIUM: 11PX

--- 07 WHITESPACE
- SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
 */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  /* font-size: 10px; */
  /* to avoid usability problems we will set the font-size as percentage of the browser's default font-size */
  /* 10px / 16px = 0.625 = 62.5% */
  /* Percentage of user's browser font-size settings */
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  font-family: "Rubik", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;
  /* Disable horizontal scroll bar that shows mobile navigation */
  /* Only works if there is nothing absolutely positioned in relation to body */
  overflow-x: hidden;
}

/* ***************************** */
/* GENERAL REUSABLE COMPONENTS */
/* ***************************** */
.container {
  /* another standard: 1140px */
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid {
  display: grid;
  row-gap: 9.6rem;
  column-gap: 6.4rem;
}

/* grid that is not last child will have this margin, using not pseudo class */
.grid:not(:last-child) {
  margin-bottom: 9.6rem;
}

.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}
.grid--5-cols {
  grid-template-columns: repeat(5, 1fr);
}
.grid--center-v {
  align-items: center;
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
  font-weight: 700;
  color: #333;
  /* alternate to #333 - #343a40 */
  letter-spacing: -0.5px;
}

.heading-primary {
  font-size: 5.2rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 9.6rem;
}

.heading-tertiary {
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.subheading {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  color: #cf711f;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}
.btn,
.btn:link,
.btn:visited {
  /* general button structure */
  font-size: 2rem;
  /* set the inline element to inline-block for the paddings and margins to work */
  display: inline-block;
  text-decoration: none;
  padding: 1.6rem 3.2rem;
  border-radius: 0.9rem;
  font-weight: 600;
  /* Only necessary for .btn */
  border: none;
  cursor: pointer;
  font-family: inherit;

  /* transition between two values using animation */
  /* setting all will animate all the properties in this case background-color and color */
  /* put transition on original state */
  /* transition: all 1s; */
  /* transition: background-color 0.3s; */
  transition: all 0.3s;
}

/* element:pseudo-classes, element::pseudo-element  */

.btn--full:link,
.btn--full:visited {
  /* put the specifics */
  background-color: #e67e22;
  color: #fff;
}
.btn--full:hover,
.btn--full:active {
  background-color: #cf711f;
}
.btn--outline:link,
.btn--outline:visited {
  /* put the specifics */
  background-color: #fff;
  color: #555;
}
.btn--outline:hover,
.btn--outline:active {
  background-color: #fdf2e9;

  /* applying the usual border applies outside of the element, to fix this - */
  /* border: 3px solid #fff; */
  /* Trick to add border inside */
  /* box-shadow: horizontal-offset vertical-offset blur scale color; */
  /* inset - inside the element */
  box-shadow: inset 0 0 0 3px #fff;
}

.btn--form {
  background-color: #45260a;
  color: #fdf2e9;
  align-self: end;
  /* making it same padding as the input elements, the other sides left/right doesn't matter cause it will stretch as the selected button is grid item */
  padding: 1.2rem;
}

.btn--form:hover {
  background-color: #fff;
  color: #555;
}

.link:link,
.link:visited {
  display: inline-block;
  color: #e67e22;
  text-decoration: none;
  /* currentColor picks the current text color */
  border-bottom: 1px solid currentColor;
  padding-bottom: 2px;
  transition: all 0.3s;
}

.link:hover,
.link:active {
  color: #cf711f;
  border-bottom: 1px solid transparent;
}

.list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}

.list-item {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.6rem;
  line-height: 1.2;
}

.list-icon {
  width: 3rem;
  height: 3rem;
  color: #e67e22;
}

/* changing the default focus state using universal selector */
*:focus {
  /* outline property is like border but its outside of the element and is not part of the box model */
  outline: none;
  /* outline: 4px dotted #e67e22; */
  /* outline-offset: 8px; */

  box-shadow: 0 0 0 0.8rem rgb(230, 125, 34, 0.5);
}

/* HELPER/SETTINGS CLASSES */

.margin-bottom-md {
  margin-bottom: 4.8rem !important;
}

.margin-right-sm {
  margin-right: 1.6rem !important;
}

.center-text {
  text-align: center;
}

.no-scrollY {
  overflow-y: hidden;
}

strong {
  font-weight: 500;
}
